#!/bin/bash
#
# FLVGET Plugin for "CrapVille" version 1.0
# http://www.crapville.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|CrapVille|crapville.com"
	exit 0
fi

url=$(wget -q "$1" -O - | grep "'fileName'" | cut -d'"' -f2)
filename=$(echo "$url" | sed -e 's/.*\/\(.*\)$/\1/')

echo "$url|$filename"
