#!/bin/bash
#
# FLVGET Plugin for "Dailymotion" version 1.0
# http://www.dailymotion.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|Dailymotion|dailymotion.com"
	exit 0
fi

url=$(wget -q "$1" -O - | grep flashvars | head -1 | sed -e 's/^.*url=\(.*\)&d.*$/\1/' -e 's/%3A/:/g' -e 's/%2F/\//g')
filename=$(echo "$1" | sed -e 's/^.*\/\(.*\)$/\1/').flv

echo "$url|$filename"
