#!/bin/bash
#
# FLVGET Plugin for "iFilm" version 1.0
# http://www.ifilm.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|iFilm|ifilm.com"
	exit 0
fi

id=$(echo $1 | sed -e 's/^.*\/\(.*\).*$/\1/')
dl=$(for i in $(wget -q "http://www.ifilm.com/player/?ifilmId=$id" -O - | grep -E "dl \+?=" | cut -d"'" -f2); do echo -n $i; done;)
playlist="http://www.ifilm.com/QTPlaylist?l=$dl&ifilmId=$id&bandwidth=300"
url=$(wget -q $playlist -O - | sed -e 's/^.*c=\"\(.*_.*\)\"\ t.*x.*$/\1/')
filename=$(echo $url | sed -e 's/^.*\/\(.*\)?.*$/\1/')

echo "$url|$filename"
