#!/bin/bash
#
# FLVGET Plugin for "MediaLunchobox" version 1.0
# http://www.medialunchbox.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|MediaLunchobox|medialunchbox.com"
	exit 0
fi

url="http://www.medialunchbox.com$(wget -q "$1" -O - | grep FileName | cut -d'"' -f4)"
filename=$(echo "$url" | sed -e 's/.*\/\(.*\)$/\1/')

echo "$url|$filename"
