#!/bin/bash
#
# FLVGET Plugin for "Google Video" version 1.1
# http://video.google.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|Google Video|video.google."
	exit 0
fi

gvp=$(wget -q "$1" -O - | grep gvp | sed -re 's/^.*(http.*videogvp)/\1/' | cut -d'"' -f1)
filename=$(echo $gvp | sed -e 's/^.*p\/\(.*\)\.g.*/\1/').avi
url=$(wget -q "$gvp" -O - | grep url | cut -b5-)

echo "$url|$filename"
