#!/bin/bash
#
# FLVGET Plugin for "RaceGarden" version 1.0
# http://www.racegarden.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|RaceGarden|racegarden.com"
	exit 0
fi

line=$(wget -q "$1" -O - | grep -E "embed|x-shockwave-flash")

if [[ -n $(echo $line | grep embed) ]]
then
	url=$(echo $line | cut -d'"' -f12)
else
	url="http://www.racegarden.com/files/$(echo $line | sed -e 's/.*=\(.*\.flv\).*/\1/')"
fi
filename=$(echo "$url" | sed -e 's/.*\/\(.*\)$/\1/')

echo "$url|$filename"
